import notifiers

from loguru import logger
from notifiers.logging import NotificationHandler

params = {
    "username": "from@gmail.com",
    "password": "iampassword",
    "to": "to@gmail.com"
}

# 初始化时发送一封邮件
notifier = notifiers.get_notifier("gmail")
notifier.notify(message="The application is running!", **params)

# 发生 Error 日志时，发邮件进行警报
handler = NotificationHandler("gmail", defaults=params)
logger.add(handler, level="ERROR")
